## com.fasterxml.jackson.databind.util
Class LRUMap<K,V>

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<K,V>
              java.util.LinkedHashMap<K,V>
                  com.fasterxml.jackson.databind.util.LRUMap<K,V>

All Implemented Interfaces:
  Serializable, Cloneable, Map<K,V>

    public class LRUMap<K,V>

extends LinkedHashMap<K,V>

Helper for simple bounded LRU maps used for reusing lookup values.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

Field Summary
`protected int` `_maxEntries`

Constructor Summary
`LRUMap(int initialEntries, int maxEntries)`

Method Summary
`protected boolean` `removeEldestEntry(Map.Entry<K,V> eldest)`

Methods inherited from class java.util.LinkedHashMap
`clear, containsValue, get`

Methods inherited from class java.util.HashMap
`clone, containsKey, entrySet, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`containsKey, entrySet, equals, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Field Detail

### _maxEntries

    protected final int _maxEntries

Constructor Detail

### LRUMap

    public LRUMap(int initialEntries,
                  int maxEntries)

Method Detail

### removeEldestEntry

    protected boolean removeEldestEntry(Map.Entry<K,V> eldest)

  Overrides:
    `removeEldestEntry` in class `LinkedHashMap<K,V>`

Copyright © 2012 fasterxml.com. All Rights Reserved.